View Issue Details

IDProjectCategoryView StatusLast Update
0027340LazarusLazReportpublic2015-01-23 16:23
ReporterPéter GáborAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version1.4 
Summary0027340: lazreport: editor options are not translatable
Descriptionto see it navigate from the menu: Tools --> Options... --> Editor


the attached patch is created on top of the patch attached to 0027339, so apply it first
TagsNo tags attached.
Fixed in Revision47484
LazTarget
Widgetset
Attached Files
  • lr_dsopt_editor_translatable.diff (1,584 bytes)
    Index: components/lazreport/source/lr_dsopt.pas
    ===================================================================
    --- components/lazreport/source/lr_dsopt.pas	(revision 47478)
    +++ components/lazreport/source/lr_dsopt.pas	(working copy)
    @@ -111,6 +111,16 @@
       RB6.Caption := sDesOptionsFormPix;
       RB7.Caption := sDesOptionsFormmm;
       RB8.Caption := sDesOptionsFormInch;
    +  TabSheet1.Caption := sEditor;
    +  GroupBox6.Caption := sMemoEditor;
    +  RadioButton1.Caption := sUseMemoFontSettings;
    +  RadioButton2.Caption := sUseFixedFontSettings;
    +  Label1.Caption := sFRDesignerFormFontName;
    +  Label2.Caption := sFRDesignerFormFontSize;
    +  GroupBox7.Caption := sScriptEditor;
    +  Label3.Caption := sFRDesignerFormFontName;
    +  Label4.Caption := sFRDesignerFormFontSize;
    +  CheckBox1.Caption := sUseSyntaxHighlight;
       FillFonst;
       RadioButton1Change(nil);
     end;
    Index: components/lazreport/source/lr_const.pas
    ===================================================================
    --- components/lazreport/source/lr_const.pas	(revision 47478)
    +++ components/lazreport/source/lr_const.pas	(working copy)
    @@ -803,6 +803,16 @@
     
       sInsertExpression = 'Insert Expression';
       sFunctions = 'Functions';
    +  sArguments = 'Arguments';
    +  sArgument1 = 'Argument 1';
    +  sArgument2 = 'Argument 2';
    +  sArgument3 = 'Argument 3';
    +  sEditor = 'Editor';
    +  sMemoEditor = 'Memo editor';
    +  sUseMemoFontSettings = 'Use Memo font settings';
    +  sUseFixedFontSettings = 'Use fixed font settings';
    +  sScriptEditor = 'Script editor';
    +  sUseSyntaxHighlight = 'Use syntax highlight';
     
     const
       frRes = 53000;
    

Activities

Péter Gábor

2015-01-21 13:07

reporter  

lr_dsopt_editor_translatable.diff (1,584 bytes)
Index: components/lazreport/source/lr_dsopt.pas
===================================================================
--- components/lazreport/source/lr_dsopt.pas	(revision 47478)
+++ components/lazreport/source/lr_dsopt.pas	(working copy)
@@ -111,6 +111,16 @@
   RB6.Caption := sDesOptionsFormPix;
   RB7.Caption := sDesOptionsFormmm;
   RB8.Caption := sDesOptionsFormInch;
+  TabSheet1.Caption := sEditor;
+  GroupBox6.Caption := sMemoEditor;
+  RadioButton1.Caption := sUseMemoFontSettings;
+  RadioButton2.Caption := sUseFixedFontSettings;
+  Label1.Caption := sFRDesignerFormFontName;
+  Label2.Caption := sFRDesignerFormFontSize;
+  GroupBox7.Caption := sScriptEditor;
+  Label3.Caption := sFRDesignerFormFontName;
+  Label4.Caption := sFRDesignerFormFontSize;
+  CheckBox1.Caption := sUseSyntaxHighlight;
   FillFonst;
   RadioButton1Change(nil);
 end;
Index: components/lazreport/source/lr_const.pas
===================================================================
--- components/lazreport/source/lr_const.pas	(revision 47478)
+++ components/lazreport/source/lr_const.pas	(working copy)
@@ -803,6 +803,16 @@
 
   sInsertExpression = 'Insert Expression';
   sFunctions = 'Functions';
+  sArguments = 'Arguments';
+  sArgument1 = 'Argument 1';
+  sArgument2 = 'Argument 2';
+  sArgument3 = 'Argument 3';
+  sEditor = 'Editor';
+  sMemoEditor = 'Memo editor';
+  sUseMemoFontSettings = 'Use Memo font settings';
+  sUseFixedFontSettings = 'Use fixed font settings';
+  sScriptEditor = 'Script editor';
+  sUseSyntaxHighlight = 'Use syntax highlight';
 
 const
   frRes = 53000;

Maxim Ganetsky

2015-01-22 22:36

developer   ~0080551

Applied with modifications.

Please test and close if OK.

Issue History

Date Modified Username Field Change
2015-01-21 13:07 Péter Gábor New Issue
2015-01-21 13:07 Péter Gábor File Added: lr_dsopt_editor_translatable.diff
2015-01-21 18:26 Maxim Ganetsky Assigned To => Maxim Ganetsky
2015-01-21 18:26 Maxim Ganetsky Status new => assigned
2015-01-22 22:36 Maxim Ganetsky Note Added: 0080551
2015-01-22 22:36 Maxim Ganetsky Status assigned => resolved
2015-01-22 22:36 Maxim Ganetsky Fixed in Version => 1.4
2015-01-22 22:36 Maxim Ganetsky Resolution open => fixed
2015-01-22 22:37 Maxim Ganetsky Fixed in Revision => 47484
2015-01-23 16:23 Péter Gábor Status resolved => closed